--- title: "Get the Health Check" slug: "get-the-health-check-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-the-health-check-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Health Check This URL gets the health check status. ### Resource URL GET /healthcheck ### Request Parameters URL Parameters: None ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `summary` | Summary feature list | ObjectList | | `databaseChecks` | Database check feature list | ObjectList | | `connectivityChecks` | Connectivity check feature list | ObjectList | | `id` | Feature id | String | | `name` | Feature name | String | | `result` | Health check run result | String | | `indicator` | Status of the check | String | | `notes` | Heath check notes | String | | `lastRun` | Health check last run time | String | | `run` | If the feature check happened | Boolean | ### Example **Request** GET [https:///sdkapi/healthcheck](https://<NSM_IP>/sdkapi/domain/0/cliauditing) **Response** ``` { 'connectivityChecks': [ {'lastRun': 'Tue May 17 10:26:33 IST 2016', 'indicator': 'low', 'run': True, 'name': 'Callback Detectors Update Server Connectivity', 'notes': 'Server: download.nai.com\n Port: TCP 80 \n Response time: 9690 ms', 'result': 'Pass', 'id': 'CallbackDetectorsUpdateServerConnectivity'}, ... , {'lastRun': 'Tue May 17 10:26:25 IST 2016', 'indicator': '', 'run': True, 'name': 'NSCM Connectivity', 'notes': 'NSCM is not in use with this Manager', 'result': '', 'id': 'NSCMConnectivity'} ], 'databaseChecks': [ {'lastRun': 'Tue May 17 10:26:23 IST 2016', 'indicator': '', 'run': True, 'name': 'Disk Space Used by MySQL Database Backups', 'notes': 'No backup files detected', 'result': '0 MB', 'id': 'BackupFilesSpaceCheck'}, ... , {'lastRun': 'Tue May 17 10:26:25 IST 2016', 'indicator': 'low', 'run': True, 'name': 'Slow Queries', 'notes': '', 'result': '0', 'id': 'CheckForSlowQueriesInDatabase'} ], 'summary': [ {'lastRun': 'Tue May 17 10:26:23 IST 2016', 'indicator': '', 'run': True, 'name': 'Manager Software Version', 'notes': '', 'result': '8.3.7.20.8', 'id': 'GetNSMVersion'}, ... , {'lastRun': 'Tue May 17 10:26:24 IST 2016', 'indicator': '', 'run': True, 'name': 'Manager Name', 'notes': '', 'result': 'NSM', 'id': 'ManagerNameCheck'} ] } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error |